<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Llave de configuracin');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Llave de configuracin asignada por SOFORT AG');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Probar la llave de configuracin/llave API');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Active Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Zona de pago');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Si se ha seleccionado unicamente una zona, el mtodo de pago solo es vlido para dicha zona.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Concepto 1');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'En el concepto 1 se pueden seleccionar las siguientes opciones');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Concepto 2');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'En el concepto (27 caracteres mximo) se reemplazarn las siguientes variables:<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Se ha notificado el siguiente error durante la operacin:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'La forma de pago seleccionada no est disponible o ha sido cancelada por el cliente. Por favor, seleccione otra forma de pago.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner o texto de la seleccin de opciones de pago');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Banner o texto de la seleccin de opciones de pago');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Ajustes profesionales</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Los siguientes ajustes, por lo general, no necesitan volver a configurarse e ya indican valores correctos.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Activar registro');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Active el registro para registrar los errores, las advertencias, as como tambin las consultas y las respuestas de los servidores de SOFORT. Para garantizar la proteccin de los datos, el registro debe activarse solamente para la bsqueda de errores. Puede consultar ms informacin en el manual.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Estado de pedido temporal');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Estado de pedido para transacciones no completadas. El pedido se ha efectuado pero la transaccin todava no ha sido confirmada por SOFORT AG.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Estado de pedido en caso de pago cancelado');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Estado de pedidos que se han cancelado durante el proceso de pago.');

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'El pedido se ha cancelado.');

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'ID de la transaccin');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Se ha actualizado el mdulo. Para que funcione correctamente, debe desinstalar todos (!) los mtodos de pago SOFORT e instalarlos de nuevo (segn sea preciso). Hasta entonces no se ofrecern los mtodos de pago al comprador. Por favor, tome nota de los ajustes del mdulo antes de desinstalarlo.');

define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Nmero de la versin');
define('SOFORT_MULTIPAY_FORWARDING', 'Estamos verificando su consulta. Por favor, espere un momento y no cancele la operacin. Este proceso puede tardar hasta 30 segundos.');

define('SOFORT_KEYTEST_SUCCESS', 'Llave API validada correctamente.');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Prueba efectuada correctamente el');
define('SOFORT_KEYTEST_ERROR', 'No se ha podido validar la llave API.');
define('SOFORT_KEYTEST_ERROR_DESC', 'Atencin: la llave API no es vlida');
define('SOFORT_KEYTEST_DEFAULT', 'La llave API todava no se ha verificado');

define('SOFORT_REFRESH_INFO', 'En caso de que acabe de confirmar, modificar, cancelar o abonar este pedido, es posible que sea necesario {{refresh}} esta pgina para ver todos los cambios.');
define('SOFORT_REFRESH_PAGE', 'Haga clic aqu para volver a cargar la pgina');
define('SOFORT_TRANSLATE_TIME', 'Tiempo');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0', 'Se ha producido un error desconocido.');
define('SOFORT_MULTIPAY_XML_FAULT_8002', 'Se ha producido un error durante la validacin.');
define('SOFORT_MULTIPAY_XML_FAULT_8010', 'Los datos estn incompletos o son incorrectos. Por favor, corrjalos o pngase en contacto con el administrador de la tienda.');
define('SOFORT_MULTIPAY_XML_FAULT_8011', 'No se encuentra en el rango de valores vlidos.');
define('SOFORT_MULTIPAY_XML_FAULT_8012', 'El valor debe ser positivo.');
define('SOFORT_MULTIPAY_XML_FAULT_8013', 'En este momento solamente se pueden efectuar pedidos en euros. Por favor, corrija el valor e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8015', 'El importe total es demasiado alto o bajo. Por favor, corrjalo o pngase en contacto con el administrador de la tienda.');
define('SOFORT_MULTIPAY_XML_FAULT_8017', 'Caracteres desconocidos.');
define('SOFORT_MULTIPAY_XML_FAULT_8018', 'Se ha superado el nmero mximo de caracteres (mx. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019', 'No se ha podido efectuar el pedido porque la direccin de correo electrnico es incorrecta. Por favor, corrjala e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8020', 'No se ha podido efectuar el pedido porque el nmero de telfono es incorrecto. Por favor, corrjalo e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8021', 'El cdigo del pas no est aceptado. Por favor, pngase en contacto con el administrador de la tienda.');
define('SOFORT_MULTIPAY_XML_FAULT_8022', 'El BIC introducido no es vlido.');
define('SOFORT_MULTIPAY_XML_FAULT_8023', 'No se ha podido efectuar el pedido porque el cdigo BIC (Bank Identifier Code) es incorrecto. Por favor, corrjalo e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8024', 'No se ha podido efectuar el pedido porque el cdigo de pas es incorrecto. La direccin de entrega y de facturacin debe encontrarse en Alemania. Por favor, corrjalo e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8029', 'Solamente se aceptan cuentas alemanas. Por favor, corrjala o seleccione otra forma de pago.');
define('SOFORT_MULTIPAY_XML_FAULT_8033', 'El importe total es demasiado alto. Por favor, corrija el valor e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8034', 'El importe total es demasiado bajo. Por favor, corrija el valor e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8041', 'El valor de IVA es incorrecto. Valores vlidos: 0, 7 o 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046', 'La validacin de la cuenta bancaria y del cdigo bancario ha fallado.');
define('SOFORT_MULTIPAY_XML_FAULT_8047', 'Se ha superado el nmero mximo de 255 caracteres.');
define('SOFORT_MULTIPAY_XML_FAULT_8051', 'El pedido contiene artculos no vlidos. Por favor, corrjalo o pngase en contacto con el administrador de la tienda.');
define('SOFORT_MULTIPAY_XML_FAULT_8058', 'Por favor, introduzca al menos el titular de la cuenta e intntelo de nuevo.');
define('SOFORT_MULTIPAY_XML_FAULT_8061', 'Ya existe una transaccin con los datos que ha facilitado.');
define('SOFORT_MULTIPAY_XML_FAULT_8068', 'La compra a cuenta actualmente solo est disponible para particulares.');
define('SOFORT_MULTIPAY_XML_FAULT_10001', 'Por favor, rellene los campos nmero de cuenta, cdigo bancario y titular de la cuenta.');
define('SOFORT_MULTIPAY_XML_FAULT_10002', 'Por favor, acepte la poltica de proteccin de datos.');
define('SOFORT_MULTIPAY_XML_FAULT_10003', 'Con el mtodo de pago seleccionado no se pueden pagar artculos como descargas o vales de regalo.');
define('SOFORT_MULTIPAY_XML_FAULT_10004', 'Se ha producido un error desconocido.');
define('SOFORT_MULTIPAY_XML_FAULT_10005', 'Se ha producido un error desconocido.');
define('SOFORT_MULTIPAY_XML_FAULT_10006', 'Se ha producido un error desconocido.');
define('SOFORT_MULTIPAY_XML_FAULT_10008', 'Se ha producido un error en los servidores de SOFORT durante la sincronizacin. Para editar su factura o el carrito de la compra, utilice las opciones que se ofrecen en el rea de Cliente de SOFORT.');

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER', 'La direccin de correo electrnico no puede quedar vaca.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER', 'El campo para el nmero de telfono no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME', 'El campo del nombre en la direccin de facturacin no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME', 'El campo del nombre en la direccin de envo no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME', 'El campo del apellido en la direccin de facturacin no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME', 'El campo del apellido en la direccin de envo no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET', 'La calle y el nmero de portal deben separarse con un espacio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET', 'La calle y el nmero de portal deben separarse con un espacio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER', 'La calle y el nmero de portal deben separarse con un espacio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER', 'La calle y el nmero de portal deben separarse con un espacio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE', 'El campo del cdigo postal en la direccin de facturacin no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE', 'El campo del cdigo postal en la direccin de envo no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY', 'El campo del nombre de la ciudad en la direccin de facturacin no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY', 'El campo del nombre de la ciudad en la direccin de envo no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE', 'El campo del cdigo del pas en la direccin de facturacin no puede quedar vaco.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE', 'El campo del cdigo del pas en la direccin de envo no puede quedar vaco.');

define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
  <p>Muchas gracias por su pedido</p>
  <table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
  <tr bgcolor="#F1F1F1">
  <td width="50%">
  <strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
  </td>
  <td>
  <strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
  </td>
  </tr>
  <tr>
  <td>
  {{DELIVERY_ADRESS}}
  </td>
  <td>
  {{BILLING_ADRESS}}
  </td>
  </tr>
  </table>
  <p>
  {{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
  </p>
  <p>
  {{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
  </p>
  <p>
  Comentario: <strong>{{CUSTOMER_COMMENT}}</strong>
  </p>
  <p>
  {{EMAIL_TEXT_INVOICE_URL}}
  <strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
  </p>
  <table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr bgcolor="#F1F1F1">
  <td class="c3" align="left">
  <div style="text-align: left">
  <strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
  </div>
  </td>
  </tr>
  <tr>
  <td>
  {{Item_List}}
  </td>
  </tr>
  </table>
  <div style="text-align: right">
  {{List_Total}}
  </div><br /><br />
  <p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
  {{Payment_Modul_Text_Footer}}
  </td></tr></table>');
  
  
define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');